Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_var.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_var.f90	(revision 8423)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_var.f90	(revision 8462)
@@ -702,4 +702,6 @@
 !$OMP THREADPRIVATE(veget_year_orig)
   
+ REAL(r_std), SAVE :: bulk_default = 1000.0           !! Default value for bulk density of soil (kg/m3)
+!$OMP THREADPRIVATE(bulk_default)
   REAL(r_std), SAVE :: min_vegfrac = 0.001           !! Minimal fraction of mesh a vegetation type can occupy (0-1, unitless)
 !$OMP THREADPRIVATE(min_vegfrac)
@@ -1022,5 +1024,68 @@
 !$OMP THREADPRIVATE(moistcont_min)
 
-
+  ! 4. Moyano et la. 2012 Biogeosciences
+
+  LOGICAL, SAVE :: ok_moyano_soilhumsat = .FALSE.  !! Use soilhumSAT and Moyano formulation for control_moist
+!$OMP THREADPRIVATE(ok_moyano_soilhumsat)
+  LOGICAL, SAVE :: ok_orga = .TRUE.                !! Do we use also the equation designed for organic soils by Moyano et al.
+                                                   !! for control_moist
+!$OMP THREADPRIVATE(ok_orga)
+  REAL(r_std), SAVE :: beta1 = -0.26               !! 1st(Beta1*M) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta1= [-0.28,-0.24]
+!$OMP THREADPRIVATE(beta1)
+  REAL(r_std), SAVE :: beta2 = 0.32                !! 2nd(Beta2*M^2) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta2= [0.28,0.36]
+!$OMP THREADPRIVATE(beta2)
+  REAL(r_std), SAVE :: beta3 = -0.15               !! 3rd(Beta3*M^3) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta3= [-0.18,-0.12]
+!$OMP THREADPRIVATE(beta3)
+  REAL(r_std), SAVE :: beta1_orga = -0.67          !! 1st(Beta1*M) term of Moyano' PRSR model 3
+                                                   !! for fraction of saturation Beta1= [-0.65,-0.69]
+!$OMP THREADPRIVATE(beta1_orga)
+  REAL(r_std), SAVE :: beta2_orga = 1.08           !! 2nd(Beta2*M^2) term of Moyano' PRSR model 3
+                                                   !! for fraction of saturation Beta2= [1.03,1.13]
+!$OMP THREADPRIVATE(beta2_orga)
+  REAL(r_std), SAVE :: beta3_orga = -0.57          !! 3rd(Beta3*M^3) term of Moyano' PRSR model 3
+                                                   !! for fraction of saturation Beta3= [-0.54,-0.60]
+!$OMP THREADPRIVATE(beta3_orga)
+  REAL(r_std), SAVE :: beta4 = 0.08                !! 4th(Beta4*clay) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta4= [0.07,0.09]
+!$OMP THREADPRIVATE(beta4)
+  REAL(r_std), SAVE :: beta5 = -0.09               !! 5th(Beta5*M*clay) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta5= [-0.10,-0.08]
+!$OMP THREADPRIVATE(beta5)
+  REAL(r_std), SAVE :: beta6 = 0.57                !! 6th(Beta6*SOC) term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation Beta6= [0.53,0.61]
+!$OMP THREADPRIVATE(beta6)
+  REAL(r_std), SAVE :: intercept = 1.059           !! intercept term of Moyano' PRSR model 2
+                                                   !! for fraction of saturation intercept= [1.056,1.062]
+!$OMP THREADPRIVATE(intercept)
+  REAL(r_std), SAVE :: intercept_orga = 1.134      !! intercept term of Moyano' PRSR model 3
+                                                   !! for fraction of saturation intercept= [1.131,1.137]
+!$OMP THREADPRIVATE(intercept_orga)
+  REAL(r_std), SAVE :: SRo = 1.0                   !! Initial respiration value (SR0) arbitrary defined at 1.0 
+!$OMP THREADPRIVATE(SRo)
+  REAL(r_std), SAVE :: moistcontSAT_min = 0.0      !! minimum soil wetness to limit the heterotrophic respiration
+!$OMP THREADPRIVATE(moistcontSAT_min)
+  REAL(r_std), SAVE :: soilheight = 0.10           !! soil height in meter to converte totalSOC 
+                                                   !! from gC/m2soil to gC/gsoil [0.10, 0.20, 0.30, 0.50, 1m] 
+!$OMP THREADPRIVATE(soilheight)
+  REAL(r_std), SAVE :: Cini_Moyano = 1000_r_std !!Initial carbon content for Moyano equation  (kgC/m3)
+!$OMP THREADPRIVATE(Cini_Moyano)
+  REAL(r_std), SAVE :: Litterini_Moyano = 1000_r_std !!Initial litter carbon content for Moyano equation  (kgC/m3)
+!$OMP THREADPRIVATE(Litterini_Moyano)
+  REAL(r_std), SAVE :: min_carbon_moyano = 0.01   !! Minimum carbon concentration in the database 
+                                                  !! used by Moyano et al (gC/gSoil)
+!$OMP THREADPRIVATE(min_carbon_moyano)
+  REAL(r_std), SAVE :: max_carbon_moyano = 0.35   !! Maximum carbon concentration in the database 
+                                                  !! used by Moyano et al (gC/gSoil)
+!$OMP THREADPRIVATE(max_carbon_moyano)
+  REAL(r_std), SAVE :: limit_carbon_orga = 0.06   !! Minimum carbon concentration in the database 
+                                                  !! for organic soil used by Moyano et al (gC/gSoil)
+!$OMP THREADPRIVATE(limit_carbon_orga)
+  REAL(r_std), SAVE :: min_clay_moyano = 0.03     !! Minimum clay fraction in the database used by Moyano et al (unitless)
+!$OMP THREADPRIVATE(min_clay_moyano)
+  REAL(r_std), SAVE :: max_clay_moyano = 0.58     !! Maximum clay fraction in the database used by Moyano et al (unitless)
+!$OMP THREADPRIVATE(max_clay_moyano)
   !
   ! stomate_lpj.f90
